#ifndef EDITWINDOW_H
#define EDITWINDOW_H

#include <QtGui>
#include "sql.h"
#include "newexercise.h"
#include "newprogram.h"

class EditWindow : public QMainWindow
{
    Q_OBJECT
public:
    explicit EditWindow(QWidget *parent = 0);
    void load(QString type);

private:
    SQL *sql;
    NewExercise *ne;
    NewProgram *np;

    QListView *lstItems;
    QStandardItemModel *model;
    QWidget *widget;
    QVBoxLayout *vBox;
    QHBoxLayout *hBox;
    QPushButton *btnAdd;
    QPushButton *btnEdit;
    QPushButton *btnRemove;

    QString type;
signals:

private slots:
    void addExercise();
    void addProgram();

    void editExercise();
    void editProgram();

    void removeExercise();
    void removeProgram();

    void updateList();
};

#endif // EDITWINDOW_H
